Thumb2PackageReviewList

This page is for tracking packages identified as needing further investigation.

Porting Advice

See https://wiki.ubuntu.com/ARM/Thumb2PortingHowto for information about what to do with packages which need porting.

Review Lists

Most of the false positives should have now been eliminated from these lists, but a few may remain.

This tables should be edited as the packages are discounted or dealt with.

Description of the Searches

Caution: the searches have confusing / misleading names!

See the Full Search Output section below for details of the regexes used for searching.

mov

Packages which contain assembler code which writes the program counter register directly, or which uses the PC as an operand in an arithmetic operation.

  • Procedure calls and returns using mov pc, <register> and similar need to be ported to use bx <register> when the build architecture is >= ARMv4T. The only exception is where destination is known to use the same instruction set as the caller. This assumption is rarely safe except when the destination is in the same source file.

  • Other operations need to be considered carefully: for example, code such as add ip, pc, r3, lsl #2 / mov pc, ip which may have worked fine in the ARM instruction set (implementing a branch into a jump table for example) but may not work properly in Thumb because of broken assumptions about instruction sizes etc.

swp

Packages which contain use of the deprecated SWP (atomic memory swap) instruction. Code making use of this instruction will execute inefficiently, and may not work correctly on multi-core (SMP) platforms.

The affected code should be ported to use one of the following mechanisms:

  • Use the GCC atomic instrinsics (__sync_synchronize and friends) (often straightforward, and best for most cases)

  • Re-code using LDREX, STREX, DMB (avoid: resulting code will require extra #ifdefs to retain build-time compatibility with older architectures, and the code may suffer from impaired maintainability and portability. However, it may be appropriate to use this approach where there are very specific requirements which are not addressed by the GCC intrinsics)

ldrex

Packages which make use of the ARMv6/v7 LDREX/STREX family of instructions.

These packages should work correctly on single-core ARMv7 implementations such as the ARM Cortex-A8, but additional memory barrier instructions may be required for correct operation on multi-core (i.e., SMP) platforms, in order to ensure correct synchronization and ordering of memory accesses between multiple cores.

ldr

Packages which contain explicit floating-point or NEON code (detected using the presence of floating-point / NEON load and store instructions (hende "ldr")).

These packages are unlikely to require any porting to work with ARMv7 / Thumb-2, but they may contain hand-written code which has been scheduled to execute in the ARM instruction set. Building in Thumb might reduce the performance of such code in a few cases (though performance can also stay the same or improve --- it depends on the code and the target processor).

Packages with possible v7 compatibility issues

summary for main:

High/Medium Prority Packages

This is the list of packages with non-trivial issues which are not believed already to be being dealt with by a specific owner.

some further prioritisation and classification may be needed

Package

ldrex

mov

swp

rdepends

section

comments

status

boost1.38

1.38.0-6ubuntu6

1.38.0-6ubuntu6

18

libs

contain spinlocks and atomics code using swp

bug Done/not in lucid #513721

boost1.40

1.40.0-2ubuntu3

1.40.0-2ubuntu2

11

libs

contain spinlocks and atomics code using swp

bug Done #513721

boost1.41

1.41.0-3

1.41.0-3

0

libs

contain spinlocks and atomics code using swp. doko: focus on one version and demote the others to universe / boost/interprocess/detail/atomic.hpp / boost/smart_ptr/detail/spinlock_gcc_arm.hpp / tools/jam/src/boehm_gc/include/private/gcconfig.h

bug Done #513721

cacao-source

0.99.4-2

0.99.4-2

0.99.4-2

0

devel

boehm-gc problem as in gcc-4.4; couple of swp usages; jit probably has lots of ARM vs. thumb-2 assumptions - work is needed. doko: patched in openjdk-6 instead. should be fine

bug #513724

djvulibre

3.5.22-1ubuntu2

7

libs

Looks like it may need fixing. mov pc, <Rn> won't interwork correctly if built in Thumb.

bug Done #513725

erlang

13.b.2.1-dfsg-1ubuntu3

13.b.2.1-dfsg-1ubuntu1

7

interpreters

needs to be checked http://pastebin.com/f7ec03435 - might also generate code

bug #513728

evolution-data-server

2.28.1-0ubuntu1

14

gnome

needs gcc atomics

bug Done #513731

ffmpeg

0.5+svn20090706-2ubuntu3

35

graphics

needs a serious check

Resolved #488267

gcc-4.4

4.4.2-3ubuntu2

4.4.2-2ubuntu1

68

devel

toolchain - should be fine - dmart: has a problem with swp in the boehm-gc code... for openjdk (LP:...); verify libstdc++ for exception handling / stack unwinding code - dyfet. doko: libstdc++ is patched for using atomic builtins, should work. boehm-gc isn't used

glib2.0

2.22.2-0ubuntu1

atomic swp - most likely fixed already

gmp

4.3.1+dfsg-3

144

libs

uses mov; also "add" assumes arm

bug #513732

klibc

1.5.15-1ubuntu2

almost all indirectly?

libs

essential in system startup utils

527720 has patch!

libgc

6.8-1.2

14

libs

asm volatile("swp %0, %2, [%3]" - doko: fixed in 6.8-1.2ubuntu1

fixed

libmad

0.15.1b-4

50

libs

looks like it assumes ARM and needs a closer look

bug #513734 patch attached

llvm

2.6-0ubuntu1

2.6-0ubuntu1

0

devel

needs investigation; potential code gen; doko: only used in openjdk-6-jre-zero when using shark

bug #513735

mono

2.4.2.3+dfsg-2

2.4.2.3+dfsg-2

47

interpreters

needs investigation - has atomic implementation and mov's

bug #514215 patch avail (asac has it)

newlib

1.17.0-0ubuntu5

0

libs

investigate if its used - affected code is on places like crt0.S where it may not be a problem (dmart)

bug #514232 thumb2 ready!

ocaml

3.11.1-4

2

devel

needs a check (mov's)

bug #514235 code not used/invalid

openssl

0.9.8k-7ubuntu3

>200

libs

seems ok - only armv4 files affected - verify that those are not used for modern arm

pixman

0.16.2-1

needs to be checkd (mov) - maybe false positive

bug #514237 invalid/false positive

postgresql-8.4

8.4.1-1

atomics fixed in debian/ubuntu bzr

fixed in bzr/archive?

qemu-kvm

0.11.0-0ubuntu6.3

0.11.0-0ubuntu6.3

0.11.0-0ubuntu6.3

worth a check by lool (dmart: qemu has a swp-based atomic which can hopefully be ported to GCC atomics. The rest looks like disassembler code.)

Done #514252 plus upstream cherrypick

qt4-x11

4.6.0-1ubuntu2

4.6.0-1ubuntu2

4.6.0~rc1-1ubuntu1

needs to be checked (webkit copy?); also

bug #514253 needs review for SMP safety and v7 build system support (currently worked around with v6)

thunderbird

2.0.0.23+build1+nobinonly-0ubuntu1

2.0.0.23+build1+nobinonly-0ubuntu1

covered by firefox

fixed in 3.0.1/lucid

upx-ucl

3.04-1

needs a look; bunch of potential hits

bug #514254

webkit

1.1.17-1

needs a check

bug #514255

xine-lib

1.1.16.3-1ubuntu1

embedded libmad and libavcodec (ffmpeg) code may not be Thumb-2 safe

bug #514257

Packages which need a review for SMP safety (memory barriers etc.)

Package

ldrex

mov

swp

rdepends

section

comments

status

db

4.8.24-1ubuntu1

atomics assembler - seems not used - db4.2 patch can be used - review for smp safety

db4.2

4.2.52+dfsg-5

4

libs

atomics assembler - fixed in archive - review for smp safety

ok (___sync_lock_* used to implement a spinlock since 4.2.52+dfsg-5.1ubuntu1 should provide sufficient memory barriers according to the; I can't see no other explicit atomics [dmart])

db4.6

4.6.21-14ubuntu1

9

libs

atomics assembler - seems not used - db4.2 patch can be used - review for smp safety

db4.7

4.6.21-14ubuntu1

9

libs

atomics assembler - seems not used - db4.2 patch can be used - review for smp safety

db4.8

4.6.21-14ubuntu1

9

libs

atomics assembler - seems not used - db4.2 patch can be used - review for smp safety

libatomic-ops

1.2+cvs20080819-1

1.2+cvs20080819-1

0

libs

needs review for SMP safeness, seems to be written for armv6

Work needed to port to atomics or add explicit memory barriers (needed for both v6 and v7 SMP to work reliably)

pulseaudio

0.9.21-0ubuntu1

should be checked for SMP-safety (maybe port to atomics)

Work needed to port to atomics or add explicit memory barriers (needed for both v6 and v7 SMP to work reliably)

qt4-x11

4:4.6.1-1ubuntu2

was changed to -arch armv6 due to the default used -arch arm code being broken, should be checked for SMP-safety and probably get new code for v7

Low-priority sanity-check needed

Package

ldrex

mov

swp

rdepends

section

comments

status

cln

1.3.1-1ubuntu2

2

libs

assembler affected seems to be not used - maybe demotion candidate - libcln5 still used!

libffi

3.0.9~rc3-1

36

libs

seems ok - doko: checked

checked

Review needed from kernel maintainers

Package

ldrex

mov

swp

rdepends

section

comments

status

linux

2.6.32-7.10

2.6.32-7.10

2.6.32-5.6

versatile is not currently building THUMB2 kernel

linux-ec2

2.6.32-300.1

2.6.32-300.1

2.6.31-302.7

no ec2 kernels are built for ARM

unaffected

linux-fsl-imx51

2.6.31-601.2

2.6.31-601.2

2.6.31-600.1

for imx51 THUMB2 kernel is not an option

linux-mvl-dove

2.6.31-701.2

2.6.31-700.1

dove is not currently building THUMB2 kernel

Review needed by Matthias Klose (doko)

Package

ldrex

mov

swp

rdepends

section

comments

status

binutils

2.20-4ubuntu3

2.20-4ubuntu3

2.20-4ubuntu3

51

devel

toolchain - dealt elsewhere

eglibc

2.10.2-2ubuntu1

2.10.2-2ubuntu1

2.10.1-3ubuntu1

0

devel

toolchain - dealt elsewhere - doko should review

gccxml

0.9.0+cvs20090916-1

3

devel

non-issue - doko: not used for code gen

checked

gdb

7.0-1ubuntu1

7.0-1ubuntu1

7.0-1ubuntu1

39

devel

needs to be checked: doko

openjdk-6

6b17~pre2-0ubuntu3

doko: checked, assembler interpreter should have a check from Ed

checked

python2.5

2.5.4-1ubuntu7

check by doko (call_reg): not used, uses system libffi

checked

python2.6

2.6.4-1ubuntu2

check by doko (call_reg): not used, uses system libffi

checked

Disregarded packages (no further action required)

Package

ldrex

mov

swp

rdepends

section

comments

status

apex

1.6.10ubuntu2

1.6.10ubuntu2

1.6.10ubuntu1

0

base

armv5 bootloader - none issue

coreutils

7.4-2ubuntu1

20

utils

not an issue - false positive

dmake

4.12-1

1

devel

false positive

emacs23

23.1+1-4ubuntu5

false positive

espeak

1.41.01-1ubuntu1

5

sound

no arm code affected

ghostscript

8.70.dfsg.1-0ubuntu3

false-positive

gnome-pilot

2.0.17-0ubuntu2

4

gnome

false-positive

graphviz

2.20.2-3ubuntu5

48

graphics

false-positive

installation-guide

20081208ubuntu5

false-positive

libgd-gd2-perl

2.39-2

false-positive

libgd2

2.0.36~rc1~dfsg-3ubuntu1

64

libs

false-positive

libpst

0.6.41-0ubuntu2

2

libs

false-positive

libwoodstox-java

3.9.2.dfsg-1ubuntu1

false-positive

linux86

0.16.17-3ubuntu2

2

?virtual?

not used for arm?

nasm

2.07-1

0

devel

x86 capable only!

ncurses

5.7+20090803-2ubuntu2

501

libs

false-positive

openbabel

2.2.3-1

7

science

false-positive

php5

5.2.11.dfsg.1-2ubuntu1

false-positive

procps

3.2.8-1ubuntu3

false-+

ps3-kboot

1.6-2build1

1.6-2build1

1.6-2build1

not relevant (bootloader)

qt-x11-free

3.3.8-b-6ubuntu2

false-+

redboot-imx

200938-0ubuntu1

non issue/build for armv5

sg3-utils

1.28-2

false-+

swig1.3

1.3.36-1ubuntu2

false-+

syslinux

3.63+dfsg-2ubuntu3

ignore

texlive-bin

2007.dfsg.2-8

2007.dfsg.2-8

false-+/x86 only

unzip

6.0-1

acorn code -> old; doesnt apply

vim

7.2.245-2ubuntu2

not relevant (RiscOS related assembler code)

xen-3.3

3.3.0-1ubuntu11

ignore

zip

3.0-1ubuntu1

acorn again - doesnt apply

summary for universe:

Package

ldrex

mov

swp

rdepends

section

comments

status

cacao

0.99.4-1

0.99.4-1

0.99.4-1

needs a check (mov and swp)

cdecl

2.5-11

false-positive

cell-binutils

2.17cvs20070401-0ubuntu1

2.17cvs20070401-0ubuntu1

2.17cvs20070401-0ubuntu1

PS3 only (according to ogra)

cell-gcc

4.1.1r840-0ubuntu7

PS3 only (according to ogra)

cell-gdb

6.6.50cvs20070623-1ubuntu3

6.6.50cvs20070623-1ubuntu3

6.6.50cvs20070623-1ubuntu3

PS3 only (according to ogra)

cpqarrayd

2.3-1

2.3-1

2.3-1

needs to be checked; has kernel tree copy in debian/

ctypes

1.0.2-6ubuntu1

needs investigation; uses call_reg macro for mov, so might be ok; ldr hits are false-positive; libffi hits are probably dupes with libffi source

cxxtools

1.4.8-3

1.4.8-3

potentially needs gcc atomics porting

ddd

3.3.11-1ubuntu2

false-+

deal.ii

6.2.1-2

gcc atomics

desmume

0.9.4-2

0.9.4-2

disassembler - not relevant

dietlibc

0.31-1.2ubuntu2

0.31-1.2ubuntu2

needs porting: atomics, low-level asm (ncommander: its dead since EABI)

disktype

9-1

false-positive

dosbox

0.73-0ubuntu1

false-positive

e3

2.71-1

armel not supported yet - arm code exists though

ecl

9.6.1-1ubuntu1

9.6.1-1ubuntu1

source copy of libatomic-ops and gmp (see those tasks)

emacs-snapshot

20090909-1

false-positive

emacs22

22.2-0ubuntu8

false-positive

etherboot

5.4.3+dfsg-0.2ubuntu2

bootloader, ignore

falconpl

0.9.4.4-0ubuntu1

false-positive

faumachine

20090922-1ubuntu1

false-positive

ffcall

1.10+2.41-3

check mov porting

ffmpeg-php

0.6.0-1build2

false-positive

fpc

2.2.4-3

2.2.4-3

needs mov and swp porting

freesci

0.6.4-6

might need mov porting

fte

0.50.0-2

false-positive

gamera

3.2.3-1

false-positive

gauche-c-wrapper

0.5.4-2

embedded libffi - see there

gcc-4.1

4.1.2-27ubuntu1

4.1.2-27ubuntu1

toolchain - dealt elsewhere

gcc-4.2

4.2.4-5ubuntu1

4.2.4-5ubuntu1

toolchain - dealt elsewhere

gcc-4.3

4.3.4-5ubuntu1

4.3.4-5ubuntu1

4.3.4-5ubuntu1

toolchain - dealt elsewhere

gcc-h8300-hms

3.4.6-5

toolchain - dealt elsewhere

gcc-m68hc1x

3.3.6+3.1+dfsg-3

3.3.6+3.1+dfsg-3

toolchain - dealt elsewhere

gcc-mingw32

4.4.2-1

4.4.2-1

toolchain - dealt elsewhere

gcc-snapshot

20091204-0ubuntu1

20091116-0ubuntu1

toolchain - dealt elsewhere

gcj-4.3

4.3.4-4ubuntu1

toolchain -> doko

gcl

2.6.7-45ubuntu1

2.6.7-45ubuntu1

2.6.7-45ubuntu1

almost all hits are from binutils (dealt there; ensure that this is updated); on top two mov matches ./gcl-2.6.7/gmp3/mpn/arm/, so in gmp (from above); if there are issues, ensure that build-rdepends are rebuilt

gclcvs

2.7.0-96

2.7.0-96

2.7.0-96

same as gcl

gdal

1.6.2-1

false-positive (x86 asm)

gdb-avr

6.4.90.dfsg-3

6.4.90.dfsg-3

6.4.90.dfsg-3

false-positive; other arch

gdb-m68hc1x

6.4+3.1+dfsg-5

6.4+3.1+dfsg-5

6.4+3.1+dfsg-5

false-positive; other arch

geshi

1.0.8.4-1

false-positive (php code)

ghdl

0.27+svn110+gcc4.3.3+dfsg-1

gcc 4.3.3 copy; needs to be checked by doko

gimp-gap

2.6.0+dfsg-1

false-positive

gnat-4.3

4.3.4-1ubuntu1

needs to be checked; doko

gnu-smalltalk

3.0.3-2

call_reg macro; libffi duplicate

gnuplot

4.2.6-1

4.2.6-1

false-positive (os2 code)

google-perftools

0.98-1ubuntu1

mov for syscall helper, probably not critical

gromacs

4.0.5-4

false-positive

gstreamer0.10-ffmpeg

0.10.9-2

embedded ffmpeg - check if syslib is used etc.

gxemul

0.4.7.2-1

0.4.7.2-1

false-positive

helix-player

1.0.9-0ubuntu8

1.0.9-0ubuntu8

a mov pc, lr; and some swp which might need porting

hol88

2.02.19940316-8

false-positive

ht

2.0.17-1

2.0.17-1

2.0.17-1

nothing to do; arm disassembler

hurd

20080607-6

doesnt apply

imview

1.1.9c-4ubuntu2

false-positive

insight

6.7.1.dfsg.1-10.1ubuntu2

6.7.1.dfsg.1-10.1ubuntu2

6.7.1.dfsg.1-10.1ubuntu2

embedded gdb, bfd etc. -> doko

insighttoolkit

3.16.0-1

false-positive (x86 asm)

ironpython

1.1.1-3

false-positive

jamvm

1.5.3-2

1.5.3-2

swp-based atomics and native calls with mov pc, lr

jocaml

3.11.1-3

uses a code copy of ocaml for arm asm; needs a check

kaya

0.4.4-2

false-positive

kino

1.3.3-1ubuntu2

has ffmpeg code (dupe of that)

kompozer

0.8~b1-2

0.8~b1-2

old mozilla 1.7 codebase - maybe remove from archive

kvirc

4.0.0~svn3240-1

false-positive

libgd-gd2-noxpm-perl

2.39-2

false-positive

libgii

1.0.2-4

needs atomics fix

libnet-dri-perl

0.95-1

false-positive

libopenspc

0.3.99a-2

false-positive (other arch)

libtk-img

1.3-release-8

false-positive (other arch)

libv8

1.3.11+dfsg-2

1.3.11+dfsg-2

generates code for arm with mov

lifelines

3.0.61-1

false-positive

lightning-sunbird

0.9+nobinonly-0ubuntu3

0.9+nobinonly-0ubuntu3

needs xul 1.9.2 codebase bump + thumb2 patch from ffox36/xul192

linux-rt

2.6.31-9.152

2.6.31-9.152

2.6.31-9.152

kernel -> dealt elsewhere - assign to ericm/cooloney to check

llvm-gcc-4.2

2.6~pre1-0ubuntu1

2.6~pre1-0ubuntu1

dealt by llvm task (from main)

ltp

20090531+dfsg-4ubuntu1

false-positive

lwp

2.5+debian-4

mov with pc

uploaded

lyx

1.6.4-1ubuntu1

atomics code (from boost)

mapivi

0.9.7-1

false-positive

mapserver

5.4.2-1

false-positive

metacity-themes

1.0.11

false-positive

mit-scheme

7.7.90+20090107-1ubuntu1

false-positive

mlton

20091107

false-positive

mupen64plus

1.5+dfsg1-7

false-positive

mysql-dfsg-5.0

5.1.30really5.0.83-0ubuntu3

atomics swp (dupe of mysql from main?)

netsurf

1.2-1build1

false-positive (riscos)

openbios-ppc

1.0-3

false-positive (ppc)

openocd

0.2.0+r2529-1

0.2.0+r2529-1

probably not relevant (hardware debugger) - might need double check

openser

1.3.2-3

atomics candidate

oprofile

0.9.4+cvs20090629-2.1ubuntu2

false-positive

osiris

4.2.3-4

atomics (db4.2 dupe)

palbart

2.4-5

false-positive

paraview

3.4.0-4ubuntu4

false-positive (x86 asm)

parrot

1.4.0-1ubuntu1

mov pc, ip

pdl

2.4.5+dfsg-2ubuntu1

false-positive

perl-tk

804.028-6

false-positive (x86 asm)

petsc

3.0.0.dfsg-5ubuntu2

false-positive

php-apc

3.0.19-2

swp based spinlock/atomics

plt-scheme

4.2.1-1

4.2.1-1

4.2.1-1

libffi call_reg + mzscheme swp/atomics

postgresql-8.3

8.3.8-1

atomics + take fix from postgresql-8.4

ptop

3.6.2-2

false-positive

python3.0

3.0.1-0ubuntu13

python -> doko

python3.1

3.1.1-1ubuntu1

python -> doko

r-cran-eco

3.1-4-1

false-positive

r-cran-mnp

2.5-6-2

false-positive

radare

1.4-1

1.4-1

1.4-1

false-positive

rlplot

1.4-1

false-positive

root-system

5.18.00-2.3ubuntu3

false-positive (x86)

rtai

3.7.1-1

3.7.1-1

3.7.1-1

atomics, pc arithm; nees to be checked. has assembler in imx patches

scummvm

1.0.0~rc1-1-1

arm9 mov needs to be checked

sdparm

1.02-1

false-positive

seamonkey

1.1.17+nobinonly-0ubuntu1

1.1.17+nobinonly-0ubuntu1

needs xul 1.9.2 + thumb2 patch

see

0.61-3

false-positive

ser

2.0.0-2

2.0.0-2

false-positive

skyeye

1.2.5-2ubuntu1

1.2.5-2ubuntu1

false-positive

sm

2.2-3-2

false-positive

softgun

0.16-2.1

false-positive

spu-newlib

1.15.0cvs20070621-0ubuntu3

might be dupe of newlib from main

survex

1.0.39.1-2.1

false-positive (riscos)

synopsis

0.12-3

embedded libatomics (dupe)

systemtap

1.0-2

pc arith - needs a check

systemtap

1.0-2

pc arith - needs a check

tbb

Intel Threading Building Blocks: requires porting to support ARM

uboot-imx

2009.01-0ubuntu2

2009.01-0ubuntu1

not applicable (boot loader)

uclmmbase

1.2.16.0-1

false-positive

virtualbox-ose

3.0.8-dfsg-1ubuntu1

3.0.8-dfsg-1ubuntu1

embedded mozilla - needs check

visualboyadvance

1.8.0-5

1.8.0-5

not relevant

vtk

5.2.1-10ubuntu1

x86 asm

websvn

2.2.1-2

false-positive

wine

1.0.1-0ubuntu8

false-positive

wine1.2

1.1.31-0ubuntu3

false-positive

wireshark

1.2.2-2

false-positive

wxwidgets2.6

2.6.3.2.2-3ubuntu5

false-positive (x86 asm)

wxwidgets2.8

2.8.10.1-0ubuntu1

false-positive (x86 asm)

xemacs21-packages

2009.02.17-1

false-positive

xenomai

2.4.8-2ubuntu1

2.4.8-2ubuntu1

2.4.8-2ubuntu1

swp atomics and other asm

xindy

2.3-2

has mov in clisp-2.43/ffcall

xmp

2.7.0-0ubuntu1

false-positive

xulrunner

1.8.1.16+nobinonly-0ubuntu1

1.8.1.16+nobinonly-0ubuntu1

xul 1.9.2 + patch

yabause

0.9.10-1

false-positive (x86)

[FOR ATTENTION]

'''Package'''

ldrex

mov

swp

rdepends

section

comments

avifile

0.7.48~20090503.ds-1

2

graphics

embedded libmad contains unsafe pc arithmetic in imdct_l_asm.S

blcr

0.8.2-5

0.8.2-5

Use of swp and non-v7-compatible hand-coded calls to kuser helpers; patch proposed: see Bug #503185

[FAO DOKO]

'''Package'''

ldrex

mov

swp

rdepends

section

comments

binutils-avr

2.18-4ubuntu1

binutils-h8300-hms

2.16.1-8

2.16.1-8

2.16.1-8

binutils-m68hc1x

2.18-3

2.18-3

2.18-3

[FAO KERNEL MAINTAINERS]

'''Package'''

ldrex

mov

swp

rdepends

section

comments

arrayprobe

2.0-3

2.0-3

2.0-3

0

admin

probable non-issue (matches in embedded linux 2.6.32 source only)

[DISREGARDED]

'''Package'''

ldrex

mov

swp

rdepends

section

comments

acl2

3.4-2

1

math

false-positive

anarchism

11.7-1

0

doc

false-positive

as31

2.3.1-2

0

devel

false-positive (8031/8051 assembler)

asylum

0.3.2-1

1

games

match in commented-out code only

atlas

3.6.0-24ubuntu1

142

devel

match in SSE-optimised assembler only

atop

1.23-1

0

admin

false-positive

babel

1.2.0.dfsg-7ubuntu4

29

devel

false-positive (in various high-level lang source files))

bkchem

0.13.0-1

misc

false-positive

Packages which may contain hand-optimised floating point

These packages may contain hand-optimised floating point or NEON code.

It may be worth reviewing whether they should be built using -marm. However, they probably do not contain critical compatibility problems, and addressing them can be considered as relatively low priority.

(The list may have many false matches, due to the similarities between different architectures' floating-point instrtuction mnemonics: FLD, FST etc.)

summary for main:

'''Package'''

ldr

amavisd-new

2.6.4-1ubuntu3

False positive: topmost two Received flds

byacc-j

1.15-1

False positive: #define VSTR(a)

crash

4.1.0-1ubuntu1

cyrus-sasl2

2.1.23.dfsg1-2ubuntu1

icon

9.4.3-2ubuntu2

False postive: vstr :=

kdelibs

3.5.10.dfsg.1-2.1ubuntu2

False positive: vstr.replace

kdeutils

4.3.3-0ubuntu1

False positive: if vstr is empty

libapache2-mod-perl2

2.0.4-5ubuntu1

False positive: vstr_len =

likewise-open

4.1.2982-0ubuntu3

False positive: char * vstr

mesa

7.6.0-1ubuntu4

moodle

1.9.4.dfsg-0ubuntu4

False positive: $flds variable

openldap

2.4.18-0ubuntu1

perl

5.10.0-24ubuntu4

postfix

2.6.5-3

False positive: vstring_sprintf_append((vstr),

ruby1.9

1.9.0.5-1ubuntu1

False positive: StringValuePtr(vstr)

samba

3.4.3-1ubuntu1

squid

2.7.STABLE7-1ubuntu1

valgrind

3.5.0-3ubuntu1

yasm

0.8.0-1

summary for universe:

'''Package'''

ldr

9base

4-1

anjuta

2.28.0.0-0ubuntu3

aranym

0.9.9-1

b2evolution

2.4.7-0ubuntu1

bioperl

1.6.0-2ubuntu1

bochs

2.4.1-1ubuntu1

cacti

0.8.7e-1

cdo

1.4.0.1~dfsg-1

clipf

0.4-1

crystalspace

1.4.0~svn32686-0ubuntu1

cyrus-imapd-2.2

2.2.13-16ubuntu1

cyrus-sasl2-heimdal

2.1.23.dfsg1-2ubuntu1

dahdi-linux

2.2.0.2~dfsg-1ubuntu2

dokuwiki

0.0.20090214b-3

drawterm

0.cvs+20081209.1-1

drift

2.2.3-2

egroupware

1.6.001+dfsg-2

freej

0.10git20081231-0ubuntu2

fvwm

2.5.28.ds-3

gap-ctbllib

1r1p3-5

gears

0.5.32.0~svn3391+dfsg-0ubuntu1

gmfsk

0.6+0.7pre1-2.1

gplcver

2.12a-1.1

grads

2.0.a7.1-3

hatari

1.3.1-1

highlighting-kate

0.2.5-2

ipplan

4.92-1

kagemai

0.8.6-5

kolab-cyrus-imapd

2.2.13-8

lcdf-typetools

2.79-1

ldb

0.9.6~git20090912-1

levee

3.5a-1ubuntu1

libferret-ruby

0.11.6-2

libhdf4

4.2r4-6

libopengl-ruby

0.60.0-0ubuntu3

libphp-adodb

5.09a-1

lightning

1.2-8

likewise-open5

5.0.3991.1+krb5-0ubuntu2

mahara

1.1.7-1

mesa-glw

7.4-0ubuntu2

mined

2000.15.4-1

mpg123

1.9.1-2ubuntu1

ncbi-tools6

6.1.20090809-1

nemerle

0.9.3+dfsg-3

ocp

0.1.17-2

octave-miscellaneous

1.0.8-1

octave3.0

3.0.5-6ubuntu2

octave3.2

3.2.3-1

phpgacl

3.3.7-7

phpgroupware

0.9.16.012+dfsg-9

phppgadmin

4.2.2-1ubuntu1

prayer

1.3.2-dfsg1-1

psyco

1.6-1ubuntu1

python-pgsql

2.5.1-2ubuntu3

pythoncard

0.8.1-8.1ubuntu1

rmysql

0.7-4-2

rosegarden

1.7.3-1ubuntu1

ruby1.9.1

1.9.1.243-2

samba4

4.0.0~alpha8+git20090718-1

sbcl

1.0.29.11-1

scilab

5.1.1-12

sdf

2.001-9

simh

3.8.1-1

snd

11-4

soundmodem

0.13-1

sql-ledger

2.8.26-1

sqlalchemy

0.5.6-1

sqlfairy

0.11003-1

squid3

3.0.STABLE19-1

strongswan

4.3.2-1.1ubuntu1

tcc

0.9.24-1

torrentflux

2.4-4

ttf-ocr-a

1.0-2

typo3-src

4.2.10-1

unicap

0.9.5-1build2

unmass

0.9-3

xjdic

24-7

xwnc

0.3.3-9

zaptel

1.4.11~dfsg-3ubuntu2

zope2.10

2.10.9-1

zope2.11

2.11.2-1ubuntu1

Full Search Output

Note that the unfiltered logs contain a lot of false positives.

  • Filtering script used to reduce the amount of false match material: filter.pl

ARM/Thumb2PackageReviewList (last edited 2011-03-02 17:18:56 by davidgil-uk)